From 9b5cfe183644ef66d068c40a8a8aa41781a205f1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 20 2020 04:13:06 +0000
Subject: [PATCH 298/2232] Resolve clippy redundant_pattern_matching lint


---

diff --git a/gen/write.rs b/gen/write.rs
index 9ae114d..59e12ed 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -672,7 +672,7 @@ fn write_rust_function_shim_impl(
             write!(out, "::rust::Str::Repr error$ = ");
         }
         write!(out, "{}(", invoke);
-        if let Some(_) = &sig.receiver {
+        if sig.receiver.is_some() {
             write!(out, "*this");
         }
         for (i, arg) in sig.args.iter().enumerate() {

